seed_everything: 42
trainer:
  accelerator: gpu
  strategy: auto
  devices: auto
  num_nodes: 1
  precision: 32-true
  callbacks:
    - class_path: viscy.representation.embedding_writer.EmbeddingWriter
      init_args:
        output_path: "/hpc/projects/intracellular_dashboard/organelle_dynamics/2024_11_07_A549_SEC61_ZIKV_DENV/4-phenotyping/predictions/timeAware_organelle_only_ntxent_192patch_ckpt52_rev8_GT.zarr"
  inference_mode: true
model:
  class_path: viscy.representation.engine.ContrastiveModule
  init_args:
    encoder:
      class_path: viscy.representation.contrastive.ContrastiveEncoder
      init_args:
        backbone: convnext_tiny
        in_channels: 1
        in_stack_depth: 30
        stem_kernel_size: [5, 4, 4]
        stem_stride: [5, 4, 4]
        embedding_dim: 768
        projection_dim: 32
        drop_path_rate: 0.0
    example_input_array_shape: [1, 1, 30, 192, 192]
data:
  class_path: viscy.data.triplet.TripletDataModule
  init_args:
    data_path: /hpc/projects/intracellular_dashboard/organelle_dynamics/2024_11_07_A549_SEC61_ZIKV_DENV/2-assemble/2024_11_07_A549_SEC61_DENV.zarr
    tracks_path: /hpc/projects/intracellular_dashboard/organelle_dynamics/2024_11_07_A549_SEC61_ZIKV_DENV/1-preprocess/label-free/4-track-gt/2024_11_07_A549_SEC61_ZIKV_DENV_2_cropped.zarr
    source_channel:
      - raw GFP EX488 EM525-45
    z_range: [15, 45]
    batch_size: 64
    num_workers: 32
    initial_yx_patch_size: [192, 192]
    final_yx_patch_size: [192, 192]
    normalizations:
      # - class_path: viscy.transforms.NormalizeSampled
      #   init_args:
      #     keys: [Phase3D]
      #     level: fov_statistics
      #     subtrahend: mean
      #     divisor: std
      - class_path: viscy.transforms.ScaleIntensityRangePercentilesd
        init_args:
          keys: [raw GFP EX488 EM525-45]
          lower: 50
          upper: 99
          b_min: 0.0
          b_max: 1.0
return_predictions: false
ckpt_path: /hpc/projects/organelle_phenotyping/models/SEC61B/time_interval/rev4_organelleOnly/lightning_logs/time_interval_6_192patch_NTXent/checkpoints/epoch=52-step=2332.ckpt
